Summary: FreeS/WAN IPSEC for Linux
Name: freeswan
%define version 1.99
%define release 1
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Networking Cryptography
%ifarch armv4l
Requires: kernel > 2.4.19-6
Requires: gmp >= 2.0.2-10nw1
%endif

Source0: ftp://ftp.xs4all/pub/crypto/freeswan/freeswan-%{version}.tar.gz
Source1: ipsec.conf.def

BuildRoot: /var/tmp/freeswan-root

%description
Linux FreeS/WAN is an implementation of IPSEC & IKE for Linux.  This package
contains the user-space utilities needed to manage IPSEC.  To use IPSEC, you
will need to build support into the kernel as well.  Please see the
FreeS/WAN homepage at http://www.freeswan.org for details.

IPSEC is Internet Protocol SECurity. It uses strong cryptography to provide
both authentication and encryption services.  Authentication ensures that
packets are from the right sender and have not been altered in transit.
Encryption prevents unauthorised reading of packet contents.

These services allow you to build secure tunnels through untrusted networks.
Everything passing through the untrusted net is encrypted by the IPSEC
gateway machine and decrypted by the gateway at the other end.  The result
is Virtual Private Network or VPN.  This is a network which is effectively
private even though it includes machines at several different sites
connected by the insecure Internet.

###
### prep
###
%prep
%setup

###
### build
###
%build
find -type f | xargs perl -pi -e "s#/usr/local#/usr#go"
perl -pi -e "s#(SUBDIRS.*)testing#\1#go" Makefile
perl -pi -e "s#DESTDIR=.*#DESTDIR=$RPM_BUILD_ROOT#go" Makefile.inc
make programs

###
### install
###
%install

rm -rf $RPM_BUILD_ROOT
make install
mkdir $RPM_BUILD_ROOT/dev
mknod -m 600 $RPM_BUILD_ROOT/dev/ipsec c 36 10
mkdir -p $RPM_BUILD_ROOT/usr/doc/freeswan-%{version}
cp -axR doc/* $RPM_BUILD_ROOT/usr/doc/freeswan-%{version}
cp -ax BUGS CHANGES COPYING CREDITS INSTALL README \
	$RPM_BUILD_ROOT/usr/doc/freeswan-%{version}
install -m 600 %{SOURCE1} $RPM_BUILD_ROOT/etc/ipsec.conf
chown -R root:root $RPM_BUILD_ROOT

###
### clean
###

%clean
rm -rf $RPM_BUILD_ROOT

###
### scripts
###

%post
chkconfig --add ipsec
if ! grep -q ^esp /etc/protocols ; then
	 echo -e "esp\t50\tESP" >> /etc/protocols
fi
if ! test -f /usr/lib/ipsec/rsakeys ; then
	/usr/lib/ipsec/rsakeygen
fi

%preun
chkconfig --del ipsec

###
### file lists
###

%files
/dev/ipsec
%config /etc/ipsec.conf
%config /etc/ipsec.secrets
/etc/rc.d
/usr/lib
/usr/man
/usr/sbin
%doc /usr/doc

%changelog
* Tue Mar 24 2003 Ralph Siemsen <ralphs@netwinder.org
- Update to freeswan 1.99

* Fri Jun 14 2002 Ralph Siemsen <ralphs@netwinder.org>
- Update to freeswan 1.97, removed nwpkix branch stuff.

* Tue Mar 27 2001 Luc Lanthier <luc.lanthier@rebel.com>
- updown script's "iptables -L -t nat" needed a "-n" to speed-up/fix
  subnet/subnet problems.

* Thu Mar 22 2001 Luc Lanthier <luc.lanthier@rebel.com>
- Added 'keylife=1h' to ipsec.conf file.

* Fri Mar 16 2001 Luc Lanthier <luc.lanthier@rebel.com>
- Fixed road warrior support while using PKIX. Will now support multiple
  RoadWarriors using certificates.
- Cleaned up comments in code. Too many '//'s.
- Fixed updown.netwinder

* Mon Feb 19 2001 Luc Lanthier <luc.lanthier@rebel.com>
- Fixed updown.netwinder script problem involving iptables with NAT.
- some updated documents

* Tue Feb 13 2001 Luc Lanthier <luc.lanthier@rebel.com>
- Added examples.

* Tue Nov 14 2000 Luc Lanthier <luc.lanthier@rebel.com>
- removed rsakeygen for key generation at install. 'setup' will
  take care of it before starting freeswan, from now on.
- removed ipsec.secrets from RPM. Should be generated from now on. I simply 
  commented it out just in case.

* Mon Nov 13 2000 Luc Lanthier <luc.lanthier@rebel.com>
- Added LICENSE to docs
- Added pkix quickstarts to docs

* Fri Nov 3 2000 Luc Lanthier <luc.lanthier@rebel.com>
- Started nwpkix branch. Applied no changes to this spec file.
- PKIX allows IPSec SAs to be established with x509 certs.

* Wed Aug 23 2000 Luc Lanthier <luc.lanthier@rebel.com>
- run rsakeygen if no keys exist at post-install time.

* Wed Jun 29 2000 Luc Lanthier <luc.lanthier@rebel.com>
- rsakeygen does not run if eth0 not configured. Removing IP address
  handler from rsakeygen. IP-specific ceritificate a bad idea anyhow
  for the officeserver. Making it a global certificate.

* Wed Jun 8 2000 Ralph Siemsen <ralphs@netwinder.org>
- Moved key files to /usr/lib/ipsec; make public copy in doc root

* Wed May 10 2000 Ralph Siemsen <ralphs@netwinder.org>
- Fully buildable by cvs2rpm now
- init script patches by Luc to ensure tunnels are initiated at bootup
  in the background (so the cgi's and system startup are not held up)
- default ipsec.conf keyingtries set to 3 (FreeS/WAN default)
- rsakeygen script default path changed & a bugfix

* Wed Mar 28 2000 Ralph Siemsen <ralphs@netwinder.org>
- Fixed up a few more 'usr/local' hardcoded paths.

* Wed Mar 28 2000 Ralph Siemsen <ralphs@netwinder.org>
- Since paths get hardcoded in the binaries, adopt a different
  strategy for handling PREFIX.  Default to "/" now.

* Mon Mar 27 2000 Ralph Siemsen <ralphs@netwinder.org>
- First stab at a spec file for freeswan
